#ifndef MP_UTILS_H
#define MP_UTILS_H
/* Pxys - An IRC ProxyScan, mp_utils.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: mp_utils.h,v 1.1.1.1 2001/10/14 22:09:50 mbuna Exp $
 */
 
#include "m_structs.h"

void scanItems_init(/* scanthread_s * sth, nfds_t events, unsigned short port */);
void scanItems_closeall(scanthread_s * sth);

int set_nonblock_flag(int desc);
int get_sockerr(int fd);
int connect_nonb(int fd, const struct sockaddr_in* sin);
int set_sockbufs(int fd, unsigned int size);
int recv_nonb(int fd, char* buf, unsigned int length, unsigned int* count_out);
int send_nonb(int fd, const char* buf, unsigned int length, unsigned int* count_out);
void myclose(int fd);

#endif  /* MP_UTILS_H */
